CEL: Crystal Entity Layer: iCelZone Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelZone Struct Reference

A zone. More...

`#include <propclass/zone.h>`

List of all members.

## Public Member Functions
virtual iCelRegion * | FindRegion (const char *name) const =0
| Get the specified region.
virtual const char * | GetName () const =0
| Get the name of this zone.
virtual iCelRegion * | GetRegion (size_t idx) const =0
| Get the specified region.
virtual size_t | GetRegionCount () const =0
| Get the count of regions in this zone.
virtual void | LinkRegion (iCelRegion *region)=0
| Link a region with this zone.
virtual void | UnlinkAllRegions ()=0
| Unlink all regions from this zone.
virtual bool | UnlinkRegion (iCelRegion *region)=0
| Unlink the region from this zone.

## Detailed Description

A zone.

A zone represents a collection of regions that are all in memory at the same time.

Definition at line 153 of file zone.h.

## Member Function Documentation

virtual iCelRegion* iCelZone::FindRegion | ( | const char * | name | ) | const`[pure virtual]`

| Get the specified region.

virtual const char* iCelZone::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this zone.

virtual iCelRegion* iCelZone::GetRegion | ( | size_t | idx | ) | const`[pure virtual]`

| Get the specified region.

virtual size_t iCelZone::GetRegionCount | ( |  | ) | const`[pure virtual]`

| Get the count of regions in this zone.

virtual void iCelZone::LinkRegion | ( | iCelRegion * | region | ) | `[pure virtual]`

| Link a region with this zone.

virtual void iCelZone::UnlinkAllRegions | ( |  | ) | `[pure virtual]`

| Unlink all regions from this zone.

virtual bool iCelZone::UnlinkRegion | ( | iCelRegion * | region | ) | `[pure virtual]`

| Unlink the region from this zone. Returns false if the region could not be found in this zone.

The documentation for this struct was generated from the following file:

- propclass/zone.h